Bug 614551 - Addressing grammar and examples incomplete
Summary: Addressing grammar and examples incomplete
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: Messaging_Programming_Reference (Show other bugs)
(Show other bugs)
Version: beta
Hardware: All Linux
low
medium
Target Milestone: 2.0
: ---
Assignee: Alison Young
QA Contact: ecs-bugs
URL:
Whiteboard:
Keywords: Documentation
Depends On: 652506
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-07-14 18:22 UTC by William Henry
Modified: 2012-09-21 12:58 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-02-02 23:56:15 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description William Henry 2010-07-14 18:22:35 UTC
Description of problem:


Looking through the addressing section of the User Guide I notice that the grammar doesn't go down into the options deep enough.  From the grammar you can't figure out what a binding looks like or how to declare (x-declare) last value queues etc. 

The document should expand the grammar all the way down to these options.

I'd also suggest providing a few examples of defining different types of queues. e.g. the LVQ.

my-lvq-name; {create: always, node: {x-declare: { 'qpid.last_value_queue':1 }}}

Perhaps combine this with some bindings and a custom exchange.



Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Lana Brindley 2010-07-16 02:26:53 UTC
Please provide further information (what detail you want in the options, examples, etc) for the changes you require.

This will be addressed in the next version of the document.

LKB

Comment 2 Lana Brindley 2010-07-18 23:53:03 UTC
Apologies, I had this mixed in with my Grid bugs. Reassigned to Jonathan Robie for completion.

LKB

Comment 3 Jonathan Robie 2010-08-30 14:54:43 UTC
I think you're asking for documentation of all AMQP 0-10 specific values in the description of x-declare and x-bindings in Programming in Apache Qpid, and perhaps examples showing how to create various kinds of queues and bindings.

The "x-" is designed as an extension mechanism, and the values allowed within these are not constrained by the grammar. They will also be different for an AMQP 1.0 broker than for an AMQP 0-10 broker.

The messaging API is not really designed as a management API, that's what the QMF API is for. If this can be done externally to the program, qpid-config or the management console can be used for this. In the Programming book, we use qpid-config for configuration.

Comment 4 Jonathan Robie 2010-08-30 14:57:00 UTC
I think the User's Guide is the right place to describe how to declare Last Value Queues and Ring Queues. There's a description there now, it should be updated based on the new API.

Comment 5 William Henry 2010-11-04 23:13:41 UTC
Where is that?  I found this for LVQ:

"To use this feature, add a qpid.last_value_queue or qpid.last_value_queue_no_browse key to the arguments of queue declare. The value of the key is user-selected and used only for key matching. Messages published to the queue then need to specify a value for the qpid.LVQ_key in the headers of messages they publish. "

But it mentions queue declare which is the old API.  ???

Comment 6 Lana Brindley 2010-12-12 22:26:53 UTC
Please provide further information (what detail you want in the options, examples, etc) for the changes you require.

This will be addressed in version 2.0 of the document, provided information is received in time.

LKB

Comment 7 Lana Brindley 2011-02-02 23:56:15 UTC
Closing this bug to get it off the MRG docs radar. Please open a new bug when
source documentation is available.

LKB


Note You need to log in before you can comment on or make changes to this bug.